# BallonSonde Project 2023
This aim to group all ressources to create the PoC

![](./prototype.jpg)

## Hardware requirements
   * GNU/Linux Debian 
   * a RaspberryPi Zero 1.3 with nothing more (no WiFi, no BT)

## Software requirement

For the RaspberryPi
```
apt update
apt upgrade
apt install bpython3 python3-venv python3-serial supervisor libopenjp2-7 screen imagemagick

# in user mode, setup PySSTV to convert pictures in wav mode
cd ~
mkdir PySSTV
python3 -m venv PySSTV/
cd PySSTV/
source bin/activate
pip install pysstv
```
## Specs to do
### Get the default shell

Should have a Serial interface on **GPIO14**(UART0_TXD) and **GPIO15**(UART0_RXD).
I'm using a cheap FTDI232, from anywhere.

### Switch the output jack of the soundcard to GPIOs

We have to play WAV files from the PySSTV converter, and put it directly in the microphone +/- input of the SA828 radio module.

By the way, we don't need stereo output, that's why I only made a single RC filter for filtering frequencies over 20Khz.

The configuration of `/boot/config.txt` will contain this line, then you can connect **GPIO12** and **GPIO13** to a stereo jack.

```
dtoverlay=audremap,pins_12_13 # for pins 12 and 13
```

## Usages

### chroot-to-pi.sh script
Use this script to chroot your system on another system.

### Launch the full process

``` bash
run-parts ./process/
```
